Bug 685099 - [zh_CN][zh_TW][subscription-manager]The text on compliance assistant UI should be translated
[zh_CN][zh_TW][subscription-manager]The text on compliance assistant UI shoul...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.1
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Bryan Kearney
John Sefler
: Translation
Depends On:
Blocks: 568421
  Show dependency treegraph
 
Reported: 2011-03-15 05:53 EDT by tichen
Modified: 2011-05-19 09:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The compliance assistant page (36.42 KB, image/png)
2011-03-15 05:53 EDT, tichen
no flags Details
LANG=zh_CN.UTF8 (46.61 KB, image/png)
2011-03-18 14:30 EDT, John Sefler
no flags Details
LANG=zh_TW.UTF8 (49.68 KB, image/png)
2011-03-18 14:33 EDT, John Sefler
no flags Details
zh_CN (24.45 KB, image/png)
2011-03-24 01:34 EDT, yuping zhang
no flags Details
zh_TW (23.67 KB, image/png)
2011-03-24 01:48 EDT, yuping zhang
no flags Details
PASS(zh_TW)-0.95.6-1 (24.27 KB, image/png)
2011-04-06 02:23 EDT, Jin Zhao
no flags Details
compliance assistant-0.95.6-1 (22.66 KB, application/octet-stream)
2011-04-06 05:04 EDT, tichen
no flags Details

  None (edit)
Description tichen 2011-03-15 05:53:11 EDT
Created attachment 484418 [details]
The compliance assistant page

Description of problem:
The text information such as some subtitle on the UI is not translated.

Version-Release number of selected component (if applicable):
subscription-manager 6.1

How reproducible:


Steps to Reproduce:
1.Click "符合规范"button.

Actual results:

Additional info:

The info on compliance assistant page is translated in zh_TW.po file.
Comment 2 Bryan Kearney 2011-03-15 10:19:12 EDT
Fixed in 51d85af6b1826a74ec5c1fc02d400bcc45e2ecf6. you should see this in 0.95.5.
Comment 4 Terry CHUANG 2011-03-17 21:10:20 EDT
Steps to Reproduce:
1.Click "符合规范"button.

This seemed to be Simplified Chinese (zh_CN), not Traditional Chinese (zh_TW).
Comment 5 Jin Zhao 2011-03-17 22:46:04 EDT
zh_CN and zh_TW have the same problem.
Comment 6 Terry CHUANG 2011-03-17 23:04:17 EDT
I have updated the translation, translated every single English strings. Apart from the ones told to be ignored and strings like register_dialog_main_vbox, which doesn't make sense to translate. Hence there shouldn't be any problems now apart from clarifications of whether specific strings needs to be translated. 

Also when describing a problem, please be more specific with surrounding texts instead of vague descriptions like "The text information such as some subtitle on the UI is not translated." as the strings in the po file is not in order. Cheers.
Comment 7 John Sefler 2011-03-18 14:30:25 EDT
Created attachment 486301 [details]
LANG=zh_CN.UTF8

All of the untranslated strings in the original attachment now appear translated except for the "Compliance Assistant" dialog title (circled in this attachment)  Is this what we expect?

I am only verifying that a translation took place.  I cannot verify that the translation is correct.
Comment 8 John Sefler 2011-03-18 14:33:22 EDT
Created attachment 486302 [details]
LANG=zh_TW.UTF8

All of the untranslated strings in the original attachment now appear translated except for the "Compliance Assistant" dialog title (circled in this attachment)  Is this what we expect?

I am only verifying that a translation took place.  I cannot verify that the translation is correct.
Comment 9 John Sefler 2011-03-18 14:36:57 EDT
Comment 7 and Comment 8 were verified with version...
[root@jsefler-onprem-workstation ~]# rpm -qa | grep subscription-manager
subscription-manager-gnome-0.95.4-1.git.13.94fdb7d.el6.x86_64
subscription-manager-firstboot-0.95.4-1.git.13.94fdb7d.el6.x86_64
subscription-manager-0.95.4-1.git.13.94fdb7d.el6.x86_64

[root@jsefler-onprem-workstation ~]# LANG=zh_CN.UTF8 subscription-manager-gui

[root@jsefler-onprem-workstation ~]# LANG=zh_TW.UTF8 subscription-manager-gui


If the untranslated "Compliance Assistant" dialog titles are acceptable, then we can move this bug to VERIFIED.
Comment 11 yuping zhang 2011-03-24 01:34:03 EDT
Created attachment 487201 [details]
zh_CN
Comment 12 yuping zhang 2011-03-24 01:48:29 EDT
Created attachment 487206 [details]
zh_TW

Verified with version:
subscription-manager-0.95.5-1.el6.x86_64
subscription-manager-debuginfo-0.95.5-1.el6.x86_64
subscription-manager-firstboot-0.95.5-1.el6.x86_64
subscription-manager-gnome-0.95.5-1.el6.x86_64

All strings are translated except "Compliance Assistant" dialog titles,refer to attachments,but it's better to translate the dialog titles.

So change the status to ASSIGNED.
Comment 13 Bryan Kearney 2011-04-05 12:33:54 EDT
Is fixed in 0.95.6
Comment 14 Jin Zhao 2011-04-06 02:23:09 EDT
Created attachment 490146 [details]
PASS(zh_TW)-0.95.6-1

Package version:
subscription-manager-0.95.6-1.el6.i686.rpm            
subscription-manager-firstboot-0.95.6-1.el6.i686.rpm
subscription-manager-debuginfo-0.95.6-1.el6.i686.rpm  
subscription-manager-gnome-0.95.6-1.el6.i686.rpm

Verify result:
zh_TW: PASS
Comment 15 tichen 2011-04-06 05:04:16 EDT
Created attachment 490215 [details]
compliance assistant-0.95.6-1

PASS(zh_CH)-0.95.6-1

Package version:
subscription-manager-0.95.6-1.el6.i686.rpm            
subscription-manager-firstboot-0.95.6-1.el6.i686.rpm
subscription-manager-debuginfo-0.95.6-1.el6.i686.rpm  
subscription-manager-gnome-0.95.6-1.el6.i686.rpm

Verify result:
zh_CH: PASS
Comment 16 J.C. Molet 2011-04-06 13:09:01 EDT
Both languages in the bug pass.  Marking VERIFIED.
Comment 17 errata-xmlrpc 2011-05-19 09:40:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html

Note You need to log in before you can comment on or make changes to this bug.